# Visualization
TKV3d
StdPrs

# StdPrs_WFDeflectionSurface Class Reference

Draws a surface by drawing the isoparametric curves with respect to
a maximal chordial deviation.
The number of isoparametric curves to be drawn and their color are
controlled by the furnished Drawer.
.

`#include <StdPrs_WFDeflectionSurface.hxx>`

Inheritance diagram for StdPrs_WFDeflectionSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Adaptor3d_HSurface)&aSurface, const Handle(Prs3d_Drawer)&aDrawer)

Adds the surface aSurface to the presentation object
aPresentation, and defines its boundaries and isoparameters.
The shape's display attributes are set in the attribute
manager aDrawer. These include whether deflection
is absolute or relative to the size of the shape.
The surface aSurface is a surface object from
Adaptor, and provides data from a Geom surface.
This makes it possible to use the surface in a geometric algorithm.
Note that this surface object is manipulated by handles.
.

## Member Function Documentation

static Standard_EXPORT void StdPrs_WFDeflectionSurface::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Adaptor3d_HSurface)& | aSurface,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

void StdPrs_WFDeflectionSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFDeflectionSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFDeflectionSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- StdPrs_WFDeflectionSurface.hxx